@import '_content/Blazored.Toast/Blazored.Toast.bundle.scp.css';
@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.bundle.scp.css';

/* _content/RegServices.Portal.Web/Components/Layout/BaseLayout.razor.rz.scp.css */

#blazor-error-ui[b-ht00i1tjah] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-ht00i1tjah] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/RegServices.Portal.Web/Components/Shared/BreadcrumItem.razor.rz.scp.css */
.breadcrumb-item + .breadcrumb-item[b-hszaouqg23]::before {
    content : '>' !important;
}
/* _content/RegServices.Portal.Web/Components/Shared/BusyButton.razor.rz.scp.css */
button:disabled[b-uxu2mn2uk4] {
    cursor: not-allowed;
}
/* _content/RegServices.Portal.Web/Components/Shared/FileUpload.razor.rz.scp.css */
.drop-zone[b-tab0oo7fm2] {
    padding: 20px;
    width: 100%;
    min-height: 100px;
    border: 2px dashed #777777;
    border-radius: 5px;
}

    .drop-zone.hover[b-tab0oo7fm2] {
        border-style: solid;
    }

[b-tab0oo7fm2] input[type="file"] {
    position: absolute;
    inset:0;
    width: 100%;
    padding: 0;
    margin: 0;
    cursor: pointer;
    opacity: 0;
}

.drop-zone.invalid[b-tab0oo7fm2] {
    border-color: var(--invalid-color);
    outline-style: none;
}

.drop-zone.modified.valid[b-tab0oo7fm2] {
    border-color: var(--valid-color);
    outline-style: none;
}
/* _content/RegServices.Portal.Web/Components/Shared/ImageCard.razor.rz.scp.css */
.card[b-tmod2cw0cb] {
    max-width: 32rem;
}

.card-img-top[b-tmod2cw0cb] {
    object-fit:cover;
    height: 14rem;
}
/* _content/RegServices.Portal.Web/Components/Shared/NumericInput.razor.rz.scp.css */
/* NOTE THIS IS NOT WORKING */

.rz-spinner-input[b-nzry1i81oy] {
    padding-right: 1.5rem !important;
}
/* _content/RegServices.Portal.Web/Components/Shared/RadioButton.razor.rz.scp.css */
[b-0pp0ztnnqd] .btn-radio {
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
    min-width: 1rem;
    color: inherit;
}

    [b-0pp0ztnnqd] .btn-radio::before {
        content: "";
        color: inherit;
        font-family: var(--fa-style-family,"Font Awesome 6 Pro");
        font-weight: bolder;
    }

.btn:hover[b-0pp0ztnnqd]  .btn-radio::before {
    color: #fff;
}

    [b-0pp0ztnnqd] .btn-radio:checked::before {
        content: "\f00c";
    }

.btn:has(.btn-radio.invalid)[b-0pp0ztnnqd] {
    border-color: var(--invalid-color);
    color: var(--invalid-color);
}

[b-0pp0ztnnqd] .btn-radio.invalid {
    outline-style:none;
}

.btn:has(.btn-radio.modified.valid)[b-0pp0ztnnqd]
{
    border-color: var(--valid-color);
}

.btn:has(.btn-radio.modified.valid):not(:hover)[b-0pp0ztnnqd] {
    color: var(--valid-color);
}

[b-0pp0ztnnqd] .btn-radio.valid.modified {
    outline-style: none;
}
/* _content/RegServices.Portal.Web/Components/Shared/Toasts.razor.rz.scp.css */
[b-rg5ost1fmu] .blazored-toast {
    border-top: none;
    border-left: 6px solid #000;
}

[b-rg5ost1fmu] .blazored-toast  .blazored-toast-message {
    font-weight: 700;
}

[b-rg5ost1fmu] .blazored-toast-info {
    background: #B3E5FC;
    border-left-color: #0891cf;
    color: #044868;
}

[b-rg5ost1fmu] .blazored-toast-success {
    background: #C8E6C9;
    border-left-color: #439446;
    color: #224a23;
}

[b-rg5ost1fmu] .blazored-toast-warning {
    background: #FFECB3;
    border-left-color: #d9a300;
    color: #6d5100;
}


[b-rg5ost1fmu] .blazored-toast-error {
    background: #FFCDD2;
    border-left-color: #e60017;
    color: #73000c;
}

/* _content/RegServices.Portal.Web/Components/Shared/Tooltip.razor.rz.scp.css */
.custom-tooltip[b-ih6gx9pzki] {
    --tooltipBackground: #FFFFD4;
    --tooltipBorder: #c0c0c0;

    background: VAR(--tooltipBackground);
    border-radius: 3px;
    border: 1px solid var(--tooltipBorder);
    box-shadow: 0 2px 4px #0000002e;
    color: #000;

    z-index: 1000;

    display: none;
}

    .custom-tooltip[data-show][b-ih6gx9pzki] {
        display: block;
    }

.custom-tooltip-arrow[b-ih6gx9pzki],
.custom-tooltip-arrow[b-ih6gx9pzki]::before {
    position: absolute;
    width: 8px;
    height: 8px;
    background: inherit;
    border: 1px solid transparent;
}

.custom-tooltip-arrow[b-ih6gx9pzki] {
    visibility: hidden;
}

    .custom-tooltip-arrow[b-ih6gx9pzki]::before {
        visibility: visible;
        content: '';
        transform: rotate(45deg);
    }

.custom-tooltip[data-popper-placement^='top'] > .custom-tooltip-arrow[b-ih6gx9pzki] {
    bottom: -4px;
}

    .custom-tooltip[data-popper-placement^='top'] > .custom-tooltip-arrow[b-ih6gx9pzki]::before {
        border-bottom-color: var(--tooltipBorder);
        border-right-color: var(--tooltipBorder);
    }

.custom-tooltip[data-popper-placement^='bottom'] > .custom-tooltip-arrow[b-ih6gx9pzki] {
    top: -4px;
}

    .custom-tooltip[data-popper-placement^='bottom'] > .custom-tooltip-arrow[b-ih6gx9pzki]::before {
        border-top-color: var(--tooltipBorder);
        border-left-color: var(--tooltipBorder);
    }

.custom-tooltip[data-popper-placement^='left'] > .custom-tooltip-arrow[b-ih6gx9pzki] {
    right: -4px;
}

    .custom-tooltip[data-popper-placement^='left'] > .custom-tooltip-arrow[b-ih6gx9pzki]::before {
        border-bottom-color: var(--tooltipBorder);
        border-left-color: var(--tooltipBorder);
    }

.custom-tooltip[data-popper-placement^='right'] > .custom-tooltip-arrow[b-ih6gx9pzki] {
    left: -4px;
}

    .custom-tooltip[data-popper-placement^='right'] > .custom-tooltip-arrow[b-ih6gx9pzki]::before {
        border-top-color: var(--tooltipBorder);
        border-right-color: var(--tooltipBorder);
    }
/* _content/RegServices.Portal.Web/Components/VillageComparisonDocument/DocumentTab.razor.rz.scp.css */
.document-tab[aria-expanded][b-99jd63oakl] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-weight: bolder;
}

.document-tab[aria-expanded][b-99jd63oakl]::after {
    font-family: var(--fa-style-family,"Font Awesome 6 Pro");
    margin-left: 1rem;
}

.document-tab[aria-expanded="true"][b-99jd63oakl]::after {
    content: "\f078"
}

.document-tab[aria-expanded="false"][b-99jd63oakl]::after {
    content: "\f054"
}
/* _content/RegServices.Portal.Web/Components/VillageComparisonDocument/VillageBannerExample.razor.rz.scp.css */
.village-banner-example[b-bfgbkendyt] {
    border: 1px solid #000;
    background-color: #fff;
    color: #000;
    font-family: Arial, sans-serif
}

.village-banner-example-heading[b-bfgbkendyt] {
    margin: 8px;
    font-size: 15pt;
}

.village-banner-example-sub-heading[b-bfgbkendyt] {
    padding: 8px;
    font-size: 13pt;
    font-weight:600;
    background-color: #000;
    color: #fff;
}
